rte_cksum.h(3)

NAME
rte_cksum.h

SYNOPSIS

#include <stdint.h>
#include <rte_byteorder.h>
#include <rte_common.h>
#include <rte_mbuf.h>

  Functions

static uint16_t rte_raw_cksum (const void *buf, size_t len)
static int rte_raw_cksum_mbuf (const struct rte_mbuf *m, uint32_t off, uint32_t len, uint16_t *cksum)

Detailed Description

Protocol independent checksum utilities.

Definition in file rte_cksum.h.

Function Documentation

  uint16_t rte_raw_cksum (const void * buf, size_t len) [inline], [static]
Process the non-complemented checksum of a buffer.

Parameters
    buf Pointer to the buffer.
    len Length of the buffer.

Returns
    The non-complemented checksum.

Definition at line 94 of file rte_cksum.h.

  int rte_raw_cksum_mbuf (const struct rte_mbuf * m, uint32_t off, uint32_t len, uint16_t * cksum) [inline], [static]
Compute the raw (non complemented) checksum of a packet.

Parameters
    m The pointer to the mbuf.
    off The offset in bytes to start the checksum.
    len The length in bytes of the data to checksum.
    cksum A pointer to the checksum, filled on success.

Returns
    0 on success, -1 on error (bad length or offset).

Definition at line 117 of file rte_cksum.h.

Author

Generated automatically by Doxygen for DPDK from the source code.